> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca i gruppi IdP dell’account

> Elenca i gruppi IdP registrati per questa istanza Enterprise.

<div id="permissions">
  ## Autorizzazioni
</div>

Richiede un utente di servizio con il permesso `ViewAccountMembership` a livello enterprise.


## OpenAPI

````yaml it/v3-openapi.yaml GET /v3/enterprise/idp-groups
openapi: 3.1.0
info:
  description: API Devin v3 con autenticazione utente di servizio e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/idp-groups:
    get:
      tags:
        - idp_groups
      summary: Elenca i gruppi IdP dell’account
      description: Elenca i gruppi IdP registrati per questa istanza Enterprise.
      operationId: handle_list_account_idp_groups_v3_enterprise_idp_groups_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_IdpGroupResponse_'
          description: Risposta positiva
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    PaginatedResponse_IdpGroupResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Cursore da usare per recuperare la pagina successiva, oppure None se
            questa è l’ultima pagina.
          title: End Cursor
        has_next_page:
          default: false
          description: Se sono disponibili altri elementi dopo questa pagina.
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/IdpGroupResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Conteggio totale facoltativo (può essere omesso per motivi di
            prestazioni).
          title: Total
      required:
        - items
      title: PaginatedResponse[IdpGroupResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IdpGroupResponse:
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
      required:
        - idp_group_name
      title: IdpGroupResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credenziale dell''utente del servizio (prefisso: cog_)'
      scheme: bearer
      type: http

````